Bug 195002 - RHEL4 U4 i386 partner beta will not install on ES7000/one
RHEL4 U4 i386 partner beta will not install on ES7000/one
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Konrad Rzeszutek
Brian Brock
: Regression
Depends On:
Blocks: 181411
  Show dependency treegraph
 
Reported: 2006-06-14 09:12 EDT by Daniel W. Ottey
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 19:31:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel panic with apic=debug (8.83 KB, text/plain)
2006-06-14 09:15 EDT, Daniel W. Ottey
no flags Details
Output of dmidecode (37.02 KB, text/plain)
2006-06-14 15:35 EDT, Daniel W. Ottey
no flags Details
A proposed patch. (972 bytes, patch)
2006-06-16 16:00 EDT, Konrad Rzeszutek
no flags Details | Diff

  None (edit)
Description Daniel W. Ottey 2006-06-14 09:12:20 EDT
Description of problem:
When attempting to install the RHEL4 U4 partner beta (i386) on an ES7000/one,
the uniprocessor installation kernel panics.  We have found that the system will
install when using the "noapic" parameter, but are unsure if this is an general
work-around or if it only works in a particular hardware configuration.

This is a regression from RHEL4 U3.  In RHEL4 U3, no kernel parameters were
required to install i386.

Version-Release number of selected component (if applicable):
2.6.9-39.EL

How reproducible:
Boot from the RHEL4 U4 i386 partner beta CD1 and attempt the install.
  
Actual results:
Kernel will panic.

Expected results:
Kernel does not panic.

Additional info:
RHEL4 U3 installation kernel did not require any kernel parameters in order to
install i386 on ES7000/one.
Comment 1 Daniel W. Ottey 2006-06-14 09:15:52 EDT
Created attachment 130841 [details]
Kernel panic with apic=debug
Comment 2 Daniel W. Ottey 2006-06-14 10:03:24 EDT
We are also unable to boot the default uniprocessor kernel even after
installation is complete.
Comment 3 Konrad Rzeszutek 2006-06-14 14:56:50 EDT
Does 'apic=bigsmp' work?
Comment 4 Konrad Rzeszutek 2006-06-14 15:05:35 EDT
Does 'apic=bigsmp' work? Also, can you post the result of running dmidecode on
the box?
Comment 5 Konrad Rzeszutek 2006-06-14 15:08:18 EDT
In regards to " but are unsure if this is an general
work-around or if it only works in a particular hardware configuration." it is a
general work-around introduced in RHEL4 U4 kernel due to APIC being turned on in
the uni-processor kernel. There are two parameters to revert to RHEL4 U3
behaviour: "nolapic" and "noapic". Just curious, what happends if "nolapic" is used?
Comment 6 Daniel W. Ottey 2006-06-14 15:14:52 EDT
apic=bigsmp does not change the panic.  We see this error in the console:

APIC Verbosity level bigsmp not recognised use apic=verbose or apic=debug.

We will try nolapic shortly.
Comment 7 Daniel W. Ottey 2006-06-14 15:26:24 EDT
The nolapic option also did not help the panic.

I will boot into the x86_64 install CD and retrieve the dmidecode output.
Comment 8 Daniel W. Ottey 2006-06-14 15:35:51 EDT
Created attachment 130912 [details]
Output of dmidecode
Comment 9 Konrad Rzeszutek 2006-06-16 16:00:50 EDT
Created attachment 131080 [details]
A proposed patch.

This a proposed patch that would automaticly supply the 'noapic' parameter when
the UP kernel would be executed on a UNISYS ES/7000 ONE box.
Comment 10 Konrad Rzeszutek 2006-06-16 18:24:56 EDT
Try this kernel, pls:

http://darnok.com/unisys/kernel-2.6.9-37_BZ195002.EL.i686.rpm

without adding the 'noapic' paramter.

Thanks
Comment 11 Eric Mattingly 2006-06-19 11:08:31 EDT
The kernel you supplied booted successfully.
Comment 12 Konrad Rzeszutek 2006-06-19 14:14:22 EDT
Patch posted on internal reflector for review and submission in 2.6.9 kernel.
Comment 13 Daniel W. Ottey 2006-06-19 15:09:53 EDT
Just to be sure - is this the same kernel that will be used to boot from the
installation media?
Comment 14 Konrad Rzeszutek 2006-06-19 15:22:11 EDT
> Just to be sure - is this the same kernel that will be used to boot from the
> installation media?
Yes. Thought a bit updated. The 2.6.9-39 kernel has a three-line patch for a
kABI symbol breakage (nothing that affects the installation stage). The i386 UP
kernel is the one used the installation media.
Comment 19 Jason Baron 2006-06-23 14:46:37 EDT
committed in stream U4 build 39.2. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 22 Red Hat Bugzilla 2006-08-10 19:31:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.